Subject: Re: Find out on which branch a commit was originally made

From: Robin Rosenberg <[email-masked]>
Date: Sun, 19 Sep 2010 20:30:21 +0200

lördagen den 18 september 2010 17.26.08 skrev  Stefan Haller:
> Ævar Arnfjör? Bjarmason <[email-masked]> wrote:
> >     You want to do X, and you think Y is the best way of doing so.
> > 
> > Instead of asking about X, you ask about Y.
> 
> Erm, not really; I explicitly mentioned Y as "a possible workaround"
> only.  Anyway...
> 
> > Why do your co-workers think this is essential to the point that they
> > can't get by without it? What problem are they trying to solve?
> 
> It's a common situation that you want to know why a certain piece of
> code is written the way it is.  So you blame it, you eventually end up
> at a certain interesting changeset, and hopefully the commit message
> tells you enough about why the change was made.  If it doesn't, then it
> can help a lot to know a bit more about the context of the change, i.e.
> what topic it was part of.

What most people do (I think) is to include a reference to a ticket in a issue 
tracker. JGit/EGit adds Bug:-line in the footer. Others add the ticket number 
in the Subject. This much informative than a branch name.  It also allows
you to fix unrelated bugs on your branch. 

-- robin